<template>
    <el-dialog
    v-model="data.shouldDisplayAds"
    :show-close="false"
    align-center
    fullscreen
    :close-on-click-modal="false"
    :close-on-press-escape="false"
    modal-class="popup-ads"
    width="99%"
    :destroy-on-close="true"
    >
    <template #header></template>
        <div class="popup-ads__container">
            <template v-for="(ads, index) in data.popupAds" :key="ads.HtmlId">
                <div class="popup-ads__card" :class="`card-${index + 1}`">
                   <div class="relative">
                        <button @click="hideAds(ads.HtmlId)" aria-label="close" class="popup-ads__close-btn">
                            <SvgIcon class-name="popup-ads__close-icon" svg-name="icon-x-stroke"/>
                            <span class="sr-only">{{ $t('close') }}</span>
                        </button>
                        <template v-if="ads.HyperLink && ads.HyperLink.length > 0">
                            <a :href="ads.HyperLink" target="_blank" :id="ID.ADS[ads.HtmlId]">
                                <img :src="ads.ImagePath" class="popup-ads__img pointer-events-none"/>
                            </a>
                        </template>
                        <img :src="ads.ImagePath" class="popup-ads__img" v-else :id="ID.ADS[ads.HtmlId]"/>
                    </div>
                   <button class="popup-ads__hide-for-the-day-btn" @click="hideAds(ads.HtmlId, true)">{{ $t("do_not_show_this_message_again_today") }}</button>
                </div>
            </template>
        </div>
    </el-dialog>
</template>

<script setup lang="ts">
import { usePopupAds } from '~~/composables/useAds';
const { data, hideAds } = usePopupAds();
</script>

<style>
.popup-ads .el-dialog {
    --el-dialog-bg-color: transparent;
}
.popup-ads .el-dialog__header {
    display: none;
}
.popup-ads .el-dialog__body, .popup-ads .el-scrollbar__view {
    height: 100%;
}
.popup-ads .popup-ads__container {
    max-width: 1488px;
    width: 100%;
    height: 100%;
    display: flex;
    gap: 1.5rem;
    justify-content: center;
    margin-left: auto;
    margin-right: auto;
}
.popup-ads .popup-ads__card {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1rem;
}
.popup-ads .popup-ads__close-btn {
    background: var(--primary);
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    position: absolute;
    top: -1rem;
    right: -1rem;
    border-radius: 50%;
    width: 32px;
    height: 32px;
}
.popup-ads .popup-ads__img {
    border-radius: 16px;
    max-width: 480px;
    max-height: min(640px, 80vh);
    aspect-ratio: 3/4;
    border: 2px solid var(--secondary, #6B52CB);
    object-fit: cover;
    width: 100%;
}
.popup-ads .popup-ads__hide-for-the-day-btn {
    color: var(--textBtn, #FFF);
    font-family: Roboto;
    font-size: 14px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    display: flex;
    padding: 8px 16px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: 4px;
    background: var(--primary, #31C46E);
    max-width: max-content;
    margin: 0 auto;
}
.popup-ads .popup-ads__close-icon {
    width: 1.5rem;
    height: 1.5rem;
    fill: var(--textBtn);
}

@media only screen and (max-width: 767px) {
    .popup-ads .popup-ads__container {
        align-items: center;
    }
    .popup-ads .popup-ads__card {
        position: absolute;
        width: max-content;
        left: 50%;
        transform: translateX(-50%);
        max-width: 90%;
    }
    .popup-ads .popup-ads__card.card-1 {
        z-index: 3;
    }
    .popup-ads .popup-ads__card.card-2 {
        z-index: 2;
    }
    .popup-ads .popup-ads__card.card-3 {
        z-index: 1;
    }
}
</style>